<form [formGroup]="diabetesForm" novalidate (ngSubmit)="onSubmit()">
  <mat-card class="shipping-card">
    <mat-card-header>
      <mat-card-title>Registro del Día</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <div class="row">
        <div class="col">
          <mat-radio-group formControlName="typeDateRegister">
            <mat-radio-button #todaySelect [disabled]="registeredId" value="today">Hoy</mat-radio-button>
            <mat-radio-button value="not-today">Otra Fecha</mat-radio-button>
          </mat-radio-group>
        </div>
        <div class="col" *ngIf="!todaySelect.checked">
          <mat-form-field class="full-width">
            <mat-label>Fecha</mat-label>
            <input matInput [matDatepicker]="picker" formControlName="date">
            <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
            <mat-datepicker #picker></mat-datepicker>
            <mat-error *ngIf="diabetesForm.controls['date'].hasError('required')">
              El Valor  es <strong>requerido</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-button-toggle-group formControlName="hourOfDay" name="fontStyle" aria-label="Font Style">
            <mat-button-toggle value="am">Mañana</mat-button-toggle>
            <mat-button-toggle value="pm">Tarde</mat-button-toggle>
          </mat-button-toggle-group>
        </div>
      </div>
      <div class="row">
        <div class="col">
          <mat-form-field class="full-width">
            <input matInput placeholder="Azucar en la sangre" type="number" formControlName="sugarValue">
            <mat-error *ngIf="diabetesForm.controls['sugarValue'].hasError('required')">
              El Valor  es <strong>requerido</strong>
            </mat-error>
          </mat-form-field>
        </div>
      </div>
    </mat-card-content>
    <mat-card-actions>
      <button mat-raised-button color="primary" type="submit"> {{diabetesForm.controls['id'].value?'Actualizar':'Guardar'}}</button>
    </mat-card-actions>
  </mat-card>
</form>
